curl --request GET \
--url https://api.runtools.ai/v1/runmesh/nodes \
--header 'Authorization: Bearer <token>'{
"data": {
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"nodeType": "device_macos",
"status": "online",
"ipAddress": "<string>",
"publicKey": "<string>",
"os": "<string>",
"appVersion": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}curl --request GET \
--url https://api.runtools.ai/v1/runmesh/nodes \
--header 'Authorization: Bearer <token>'{
"data": {
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"nodeType": "device_macos",
"status": "online",
"ipAddress": "<string>",
"publicKey": "<string>",
"os": "<string>",
"appVersion": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
Use this file to discover all available pages before exploring further.
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Include resources for all members of the org (admin only).
me Nodes.
Show child attributes